Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.flow.operationExecutionObjectInterface
Class AbstractAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.flow.operationExecutionObjectInterface.AbstractAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  Annotation, FullInstrumentation, FullInstrumentationNoGetterAndSetter

    public abstract class AbstractAspect

extends AbstractAspectJProbe

Since:
  1.6
Author:
  Jan Waller

Constructor Summary
`AbstractAspect()`

Method Summary
`abstract void` | `monitoredOperation()` This is the pointcut for the monitored operations.
`Object` | `operation(Object thisObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)`
`Object` | `staticOperation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)` This advice is used around static operations.

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspect

    public AbstractAspect()

Method Detail

### monitoredOperation

    public abstract void monitoredOperation()

  This is the pointcut for the monitored operations. Inheriting classes should extend this pointcut to make sure that the correct joint points will be detected.

### operation

    public Object operation(Object thisObject,
                            org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)
                     throws Throwable

  Throws:
    `Throwable`

### staticOperation

    public Object staticOperation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint)
                           throws Throwable

  This advice is used around static operations.

  Parameters:
    `thisJoinPoint` - The joint point of the advice.
  Returns:
    The return value of the joint point's `proceed` method.
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net